Technical Information

What are the minimum system requirements for watching video on the Channel 4 website?

For 4oD programmes and video clips the video is viewed in flash, and therefore you will need to have Adobe Flash 9.0.124 or higher. Mac users will need Adobe Flash 10. 9.0.115 or higher. Some of our Flash video, (mainly video clips across channel4.com and E4.com), is delivered using the Brightcove platform and video player, you can see the system requirements on their website Brightcove

For you to enjoy the best possible user experience we recommend that you have the following:-

  • Latest version of Microsoft Windows or OSX. A broadband internet connection and we recommend using the service with the following browsers: Internet Explorer 6.0 or higher, Firefox latest versions of 2.0 or 3.0Safari - latest version. The site will work with other browsers, but the user experience may not be as satisfactory.
  • Javascript should be turned on in your browser
  • Cookies enabled (Internet Explorer security settings set to medium

Some of our other video is delivered using Windows Media Player, often with Digital Rights Management attached, for example, the 4oD application and some other video content on the site. For this video to play correctly, this is what you need:

  • Windows XP, Windows Vista, Internet Explorer 5.5 or higher. Windows Media Player 10 or higher
  • Cookies enabled (Internet Explorer security settings set to medium)
  • A high speed internet connection capable of streaming at a minimum of 1mbs'

Not found what you are looking for yet?

Try using the search facility, or click on the contact us button below.